# Podstawowy Projekt Pygame

Ten projekt to prosty szkielet gry w Pythonie, wykorzystujący bibliotekę `pygame`. Program tworzy okno gry i wyświetla czerwony kwadrat na ciemnym tle.

## Wymagania

Aby uruchomić projekt, potrzebujesz:
- Python 3.10 lub nowszy
- Zainstalowanego menedżera pakietów `pip`

## Konfiguracja projektu

### 1. Sklonuj repozytorium
Pobierz projekt na swój komputer, na przykład używając `git`:
```bash
git clone <adres-repozytorium>.git
cd pygame_project
```

Jeśli pobrałeś projekt jako archiwum .zip, rozpakuj je, a następnie przejdź do folderu projektu.

### 2. Utwórz wirtualne środowisko

W katalogu projektu utwórz wirtualne środowisko:

```bash
python -m venv venv
```

### 3. Aktywuj wirtualne środowisko

Linux/MacOS:

```bash
source venv/bin/activate
```

Windows:

```bash
venv\Scripts\activate
```

### 4. Zainstaluj zależności
Po aktywacji wirtualnego środowiska zainstaluj zależności z pliku `requirements.txt`:
```bash
pip install -r requirements.txt
```
### 5. Uruchom projekt
Po skonfigurowaniu środowiska uruchom główny plik `GameManager.py`:
```bash
python GameManager.py
```
