import pygame

class Sword:
    def __init__(self):
        self.positions = []

    def update(self):
        self.positions.append(pygame.mouse.get_pos())
        if len(self.positions) > 10:
            self.positions.pop(0)

    def draw(self, screen, is_clicked):
        if len(self.positions) > 1 and is_clicked:
            pygame.draw.lines(screen, (255, 255, 255), False, self.positions, 2)
